summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD47
2 files changed, 65 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..61b34e3d4d4
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = regrader.lv2-git
+ pkgdesc = A delay effect where the repeats degrade in resolution.
+ pkgver = v1.0.0.r1.gd95b253
+ pkgrel = 1
+ url = https://github.com/linuxmao-org/regrader-port
+ arch = x86_64
+ groups = lv2-plugins
+ license = MIT
+ depends = git
+ depends = pkgconf
+ depends = cairo
+ depends = jack
+ depends = mesa
+ source = regrader.lv2-git::git+https://github.com/linuxmao-org/regrader-port
+ md5sums = SKIP
+
+pkgname = regrader.lv2-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..f44b26b2176
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Milkii Brewster <milkii on Freenode IRC>
+pkgname=regrader.lv2-git
+pkgdesc="A delay effect where the repeats degrade in resolution."
+pkgver=v1.0.0.r1.gd95b253
+pkgrel=1
+epoch=
+arch=(x86_64)
+url="https://github.com/linuxmao-org/regrader-port"
+license=(MIT)
+groups=(lv2-plugins)
+depends=('git' 'pkgconf' 'cairo' 'jack' 'mesa')
+makedepends=()
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=(regrader.lv2-git::git+https://github.com/linuxmao-org/regrader-port)
+noextract=()
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$pkgname"
+ git submodule update --init --recursive
+}
+
+build() {
+ cd "$pkgname"
+ make
+}
+
+package() {
+ cd "$pkgname"
+ make PREFIX=/usr DESTDIR="$pkgdir/" BUILD_VST2=false BUILD_JACK=false install
+}